%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name xunitmerge

Name:           python-%{pypi_name}
Version:        1.0
Release:        1%{?dist}
Summary:        Utility for merging multiple XUnit xml reports into a single xml report.

License:        MIT
Url:            https://github.com/miki725/xunitmerge
Source:         https://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
xunitmerge allows to merge XUnit reports generated by nosetests. This is especially useful when nosetests needs to be run multiple times for different parts of a project and then all reports need to be merged to a single report.

%package -n     python2-%{pypi_name}
Summary:        Utility for merging multiple XUnit xml reports into a single xml report.

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  pylint

%description -n python2-%{pypi_name}
xunitmerge allows to merge XUnit reports generated by nosetests. This is especially useful when nosetests needs to be run multiple times for different parts of a project and then all reports need to be merged to a single report.

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Utility for merging multiple XUnit xml reports into a single xml report.
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  pylint

%description -n python3-%{pypi_name}
xunitmerge allows to merge XUnit reports generated by nosetests. This is especially useful when nosetests needs to be run multiple times for different parts of a project and then all reports need to be merged to a single report.

This is the Python 3 version.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python3}
%py3_install
%endif
%py2_install

%check
%if 0%{?with_python3}
%{__python3} setup.py test
%endif
%{__python2} setup.py test

%files
%doc README.rst
%license LICENSE.rst
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}
%{_bindir}/%{pypi_name}
%if 0%{?with_python3}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}
%endif

%changelog
* Tue Dec 08 2015 Arie Bregman <abregman@redhat.com> - 1.0-1
- Initial package.
